# coding: utf-8
# ArcPy サイト パッケージのインポート
import arcpy
print("arcpy サイトパッケージをインポートしました。")
arcpy.env.overwriteOutput = True
# 変数を設定
output = r"D:\Student\PYTS\Projects\Training\Training.gdb\AffectedAreaApp_Current"
area = r"D:\Student\PYTS\Projects\Training\Training.gdb\AffectedArea"
distance = "800 Meters"
shpInput = r"D:\Student\PYTS\Data\Shapefiles\AffectedAreaApp.shp"
print("変数を設定しました。")
# [フィーチャのコピー] ツールの実行
# arcpy.management.CopyFeatures("AffectedAreaApp", output)
arcpy.management.CopyFeatures(shpInput, output)
print("[フィーチャのコピー] ツールの実行が完了しました。")
# 出力データを使用し、[バッファー] ツールの実行
arcpy.analysis.Buffer(output, area, distance, 'Full', 'ROUND', 'ALL', None, 'PLANAR')
print("[バッファー] ツールの実行が完了しました。\nスクリプトの実行が完了しました。")
